Package org.eclipse.birt.chart.computation.withaxes

# Class AxesAdjuster

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.AxesAdjuster

All Implemented Interfaces:
  `IConstants`, `IAxisAdjuster`

public class AxesAdjuster extends Object implements IAxisAdjuster, IConstants
The class is used to adjust axes's location and scale.

Since:
  2.5

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.computation.IConstants

`ABOVE, ANCILLARY_AXIS, ANCILLARY_BASE, ARRAY, AUTO, AVERAGE, AXIS, BACKWARD, BASE, BASE_AXIS, BELOW, BIG_NUMBER_PRIMITIVE_ARRAY, BOOLEAN, BOTTOM, CENTER, COLLECTION, DATE_TIME, DESIGN_TIME, EMPTY_STRING, EQUAL, FORWARD, HORIZONTAL, INSIDE, LABELS, LEFT, LEGEND_ENTRY, LEGEND_GROUP_NAME, LEGEND_MINSLICE_ENTRY, LEGEND_SEPERATOR, LESS, LINE_EXPAND_DOUBLE_SIZE, LINE_EXPAND_SIZE, LINEAR, LOG_10, LOGARITHMIC, MAJOR, MAX, MIN, MINOR, MORE, NON_PRIMITIVE_ARRAY, NULL_STRING, NUMBER_PRIMITIVE_ARRAY, NUMERICAL, ONE_SPACE, ORTHOGONAL, ORTHOGONAL_AXIS, OTHER, OUTSIDE, PERCENT, POSITION_MASK, POSITION_MOVE_ABOVE, POSITION_MOVE_BELOW, POSITION_MOVE_LEFT, POSITION_MOVE_RIGHT, PRIMITIVE_ARRAY, RIGHT, RUN_TIME, SOME_NULL, TEXT, THREE_D, TICK_ABOVE, TICK_ACROSS, TICK_BELOW, TICK_LEFT, TICK_NONE, TICK_RIGHT, TICK_SIDE1, TICK_SIDE2, TICK_SIZE, TOP, TWO_5_D, TWO_D, UNDEFINED, UNDEFINED_STRING, USER_INTERFACE, VALUE, VERTICAL`

## Constructor Summary

Constructors
Constructor
Description
`AxesAdjuster(PlotWithAxes plotWithAxes, org.eclipse.birt.chart.computation.withaxes.ValueAxesHelper valueAxesHelper, Bounds boPlot)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`adjust()`
Adjust axis(axes) scale and location.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AxesAdjuster

public AxesAdjuster(PlotWithAxes plotWithAxes, org.eclipse.birt.chart.computation.withaxes.ValueAxesHelper valueAxesHelper, Bounds boPlot)
Constructor.

Parameters:
  `plotWithAxes` -
  `valueAxesHelper` -
  `boPlot` -

## Method Details

### adjust

public void adjust() throws ChartException
Description copied from interface: `IAxisAdjuster`
Adjust axis(axes) scale and location.

Specified by:
  `adjust` in interface `IAxisAdjuster`
Throws:
  `ChartException`